- Qt 6.12
- Qt GUI
- C++ Classes
- QMatrix4x4
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QMatrix4x4

The following members of class QMatrix4x4 are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | flipCoordinates()

## Related Non-Members

`(deprecated in 6.1)` QPoint | operator*(const QMatrix4x4 &matrix, const QPoint &point)
`(deprecated in 6.1)` QPointF | operator*(const QMatrix4x4 &matrix, const QPointF &point)
`(deprecated in 6.1)` QVector3D | operator*(const QMatrix4x4 &matrix, const QVector3D &vector)
`(deprecated in 6.1)` QVector3D | operator*(const QVector3D &vector, const QMatrix4x4 &matrix)

## Member Function Documentation

### `[deprecated]` void QMatrix4x4::flipCoordinates()

This function is deprecated. We strongly advise against using it in new code.

Flips between right-handed and left-handed coordinate systems by multiplying the y and z coordinates by -1. This is normally used to create a left-handed orthographic view without scaling the viewport as ortho() does.

See also ortho().

## Related Non-Members

### `[deprecated in 6.1]` QPoint operator*(const QMatrix4x4 &matrix, const QPoint &point)

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use QMatrix4x4::map() instead.

Returns the result of transforming point according to matrix, with the matrix applied pre-point.

### `[deprecated in 6.1]` QPointF operator*(const QMatrix4x4 &matrix, const QPointF &point)

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use QMatrix4x4::map() instead.

Returns the result of transforming point according to matrix, with the matrix applied pre-point.

### `[deprecated in 6.1]` QVector3D operator*(const QMatrix4x4 &matrix, const QVector3D &vector)

This function is deprecated since 6.1. We strongly advise against using it in new code.

Use QMatrix4x4::map() instead.

Returns the result of transforming vector according to matrix, with the matrix applied pre-vector. The vector is transformed as a projective point.

### `[deprecated in 6.1]` QVector3D operator*(const QVector3D &vector, const QMatrix4x4 &matrix)

This function is deprecated since 6.1. We strongly advise against using it in new code.

Convert the QVector3D to a QVector4D with 1.0 as the w coordinate, then multiply.

Returns the result of transforming vector according to matrix, with the matrix applied post-vector. The vector is transformed as a point.